{
	"processors": [
		{
			"processor_type": "minecraft:rule",
			"rules": [
				{
					"input_predicate": {
						"block": "minecraft:red_nether_bricks",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.05999999865889549
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:cracked_nether_bricks"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:polished_blackstone_bricks",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.05999999865889549
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:air"
					}
				}
			]
		},
		{
			"processor_type": "minecraft:rule",
			"rules": [
				{
					"input_predicate": {
						"block": "minecraft:lantern",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.6000000238418579
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:cave_air"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:gilded_blackstone",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.10000000149011612
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:gold_block"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:gilded_blackstone",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.05000000074505806
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:ancient_debris"
					}
				}
			]
		},
		{
			"input_block": "minecraft:crimson_hyphae",
			"output_block": "minecraft:gilded_blackstone",
			"processor_type": "repurposed_structures:noise_replace_with_properties_processor",
			"threshold": 0.4000000059604645,
			"xz_scale": 0.20000000298023224,
			"y_scale": 0.20000000298023224
		},
		{
			"processor_type": "minecraft:protected_blocks",
			"value": "#minecraft:features_cannot_replace"
		}
	]
}